# @billogram/foundation-message-bar

> React message bar components

## Install

```
yarn add @billogram/foundation-message-bar
```

## Usage

```tsx
import {
    FoundationMessageBar,
    FoundationMessageBarContext,
    useMessageBar,
} from '@billogram/foundation-message-bar';
```

See [types](src/types.ts) for exported types.

### [`FoundationMessageBar`](src/FoundationMessageBar.tsx)

```tsx
<FoundationMessageBarContext.Provider>
    <FoundationMessageBar />
</FoundationMessageBarContext.Provider>
```

### [`useMessageBar`](src/useMessageBar.ts)

```tsx
function Component() {
    const messageBar = useMessageBar();

    return (
        <button
            onClick={ () => {
                messageBar.show('Cupcake ipsum dolor sit amet ice cream brownie');
            } }>
            Show message
        </button>
    );
}
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
