import React from 'react';
import purebem from 'purebem';
import { CSSTransition, TransitionGroup } from 'react-transition-group';
import { FoundationHeaderItem } from '@billogram/foundation-header';
import FoundationMessage from './FoundationMessage';
import useMessageBar from './useMessageBar';
import './FoundationMessageBar.scss';
export default function FoundationMessageBar() {
  var messageBar = useMessageBar();

  if (messageBar.messages.length === 0) {
    return null;
  }

  var block = purebem('foundation-message-bar');
  return React.createElement(FoundationHeaderItem, {
    ui: "slim-fat"
  }, React.createElement(TransitionGroup // eslint-disable-next-line react/forbid-component-props
  , {
    className: block()
  }, [].map.call(messageBar.messages, function (message) {
    return React.createElement(CSSTransition, {
      classNames: block('message-transition'),
      key: message.timestamp,
      timeout: {
        enter: 500,
        exit: 0
      }
    }, React.createElement(FoundationMessage, {
      text: message.text,
      ui: message.ui
    }));
  })));
}
//# sourceMappingURL=FoundationMessageBar.js.map