import _toConsumableArray from "@babel/runtime/helpers/toConsumableArray";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React, { useState } from 'react';

function noop() {}

var FoundationMessageBarContext = React.createContext({
  hide: noop,
  messages: [],
  show: noop
});

function Provider(_ref) {
  var children = _ref.children;

  var _useState = useState([]),
      _useState2 = _slicedToArray(_useState, 2),
      messages = _useState2[0],
      setMessages = _useState2[1];

  function hide() {
    setMessages([]);
  }

  function show(text, ui) {
    setMessages(function (prevState) {
      return [].concat(_toConsumableArray(prevState), [{
        text: text,
        timestamp: Date.now(),
        ui: ui
      }]);
    });
  }

  return React.createElement(FoundationMessageBarContext.Provider, {
    value: {
      hide: hide,
      messages: messages,
      show: show
    }
  }, children);
}

export default {
  Consumer: FoundationMessageBarContext.Consumer,
  Context: FoundationMessageBarContext,
  Provider: Provider
};
//# sourceMappingURL=FoundationMessageBarContext.js.map